import axios from 'axios'
import Vue from 'vue'

import App from './App.vue'
import './registerServiceWorker'
import router from './router'
import store from './store'

Vue.config.productionTip = false

axios.all([store.dispatch("GET_ALL_PROJECTS"), store.dispatch("GET_STATIC_PAGES")]).then(axios.spread(function () {
  new Vue({
    router,
    store,
    render: h => h(App)
  }).$mount('#app')
}))